Skip to main content
`Ctrl`+`K`

# PetscFEGetFaceQuadrature

Returns the `PetscQuadrature` used to calculate inner products on faces

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetFaceQuadrature(PetscFE fem, PetscQuadrature *q)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- q - The `PetscQuadrature` object

## Developer Notes

There is a special face quadrature but not edge, likely this API would benefit from a refactorization

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscQuadrature`, `PetscFECreate()`, `PetscFESetQuadrature()`, `PetscFESetFaceQuadrature()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/ts/tutorials/ex53.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages